BlockDB
  1. Bans
  • Bans
    • Create
      POST
    • Unban
      POST
  • Offenders
    • Search
      GET
  1. Bans

Create

POST
https://api.blockdb.net/v1/bans
Last modified:2026-05-27 19:37:34

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples
{
    "admin": {
        "name": "admin_name",
        "steamid64": "7656..."
    },
    "offender": {
        "ip": "",
        "steam": {
            "steamid64": "7656...",
            "name": "player_name"
        }
    },
    "duration": 86400,
    "reason": "cheat"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.blockdb.net/v1/bans' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "admin": {
        "name": "admin_name",
        "steamid64": "7656..."
    },
    "offender": {
        "ip": "",
        "steam": {
            "steamid64": "7656...",
            "name": "player_name"
        }
    },
    "duration": 86400,
    "reason": "cheat"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-05-27 19:37:34
Next
Unban
Built with